GORMSessionFactoryDefinitionParser (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class GORMSessionFactoryDefinitionParser

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMSessionFactoryDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class GORMSessionFactoryDefinitionParser
    extends java.lang.Object

A BeanDefinitionParser that will scan for GORM entities to configure and automatically setup an appropriate Hibernate SessionFactory for usage with GORM. Example in XML:

###

     <gorm:sessionFactory
              data-source-ref="myDataSource"
              base-package="my.company.domain"
              lob-handler-ref="lobHandler" <!--optional-->
              config-location="classpath:hibernate.cfg.xml" <!--optional-->
              config-class="org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration"> <!--optional-->

          <property name="hibernateProperties"></property>
     </gorm:sessionFactory>

     Authors:Graeme RocherSee Also:org.springframework.beans.factory.xml.BeanDefinitionParserSince:1.1

        Method Summary

                org.springframework.beans.factory.config.BeanDefinition

                parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

                    Methods inherited from class java.lang.Object

                    java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

        Method Detail

            parse
            public org.springframework.beans.factory.config.BeanDefinition parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

    Groovy Documentation